Bug 1027597 - Host/Interface subtab unusable in old clusters
Host/Interface subtab unusable in old clusters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
yeylon@redhat.com
network
: Regression
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
 
Reported: 2013-11-07 02:53 EST by Lior Vernia
Modified: 2016-04-18 02:53 EDT (History)
8 users (show)

See Also:
Fixed In Version: is24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21154 None None None Never

  None (edit)
Description Lior Vernia 2013-11-07 02:53:09 EST
Description of problem:

A recent patch introduced some regression in pre "Setup Host Networks" clusters (e.g. 3.0). The constant updating of the TX/RX statistics renders the subtab hard to use, as interface selections are reset every time the view is refreshed.


Version-Release number of selected component (if applicable):

is22.


How reproducible:

Always.


Steps to Reproduce:
1. Configure a cluster with compatibility version 3.0.
2. Head to the Host/Interfaces subtab.
3. Check some interface and wait for a couple of seconds.

Actual results:

Checkmark is cleared, thus making it hard to edit an interface or create a bond.


Expected results:

Checkmark is preserved.


Additional info:

The easier (=immediate) fix would be to only refresh statistics if the cluster compatibility > 3.0, the better one would be to keep refreshing the statistics but to preserve the selection upon refresh.
Comment 1 Lior Vernia 2013-11-07 06:59:21 EST
Pushed the easier fix of the two described, so no statistics refresh in pre-3.1 clusters.
Comment 2 awinter 2013-11-21 06:41:12 EST
Verified.

Checkmarks are preserved.
Comment 4 Itamar Heim 2014-01-21 17:29:58 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:30:01 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:32:58 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.